Subject: Re: bug#40388: Reported upstream to Calibre

From: Marius Bakke <[email-masked]>
Date: Fri, 03 Apr 2020 15:31:49 +0200

Josh Holland <[email-masked]> writes:

> I've reported this bug as
> https://bugs.launchpad.net/calibre/+bug/1870541.  I also found the
> backwards-incompatible change in msgpack which is the culprit of this:
>
> * Default value of strict_map_key is changed to True to avoid
>   hashdos. You need to pass strict_map_key=False if you have data which
>   contain map keys which type is not bytes or str.
>
> (from <https://pypi.org/project/msgpack/>)

Thanks for reporting it!  I was just looking into the issue and found
that it was fixed upstream 3 days ago:

https://github.com/kovidgoyal/calibre/commit/0ff41ac64994ec11b7859fc004c94d08769e3af3

I adopted the patch to Guix in 3e4ce1cc3eb7b35405c4d2c4f837e53ec9952c99.